# Available slots Enquiry

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/calendio/slots/enquiry:
    post:
      summary: Available slots Enquiry
      deprecated: false
      description: Get available appointment time slots by date range
      operationId: AvailableSlotsEnquiryAsync
      tags:
        - Venio/Calendio
        - Calendio
      parameters:
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
        - name: Ocp-Apim-Subscription-Key
          in: header
          description: รหัส subscription keyลูกค้า
          required: true
          example: <Your Subscription-Key>
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalendarAvailabilityAppointmentRequestModel'
            examples: {}
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ServiceResponseV2OfListAppointmentAvailableSlotsByDate
          headers: {}
          x-apidog-name: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema: &ref_0
                $ref: '#/components/schemas/ServiceResponseV2Error'
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema: *ref_0
          headers: {}
          x-apidog-name: Server Error
      security:
        - bearerAuth: []
          x-apidog:
            schemeGroups:
              - id: uyL_cJmK7q60QJZRTi5ot
                schemeIds:
                  - bearerAuth
            required: true
            use:
              id: uyL_cJmK7q60QJZRTi5ot
            scopes:
              uyL_cJmK7q60QJZRTi5ot:
                bearerAuth: []
      x-codeSamples:
        - lang: cURL
          source: |
            curl -X POST "https://api.gofive.co.th/v1/calendio/slots/enquiry" \
              -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{}'
      x-apidog-folder: Venio/Calendio
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/351895/apis/api-28505056-run
components:
  schemas:
    CalendarAvailabilityAppointmentRequestModel:
      type: object
      properties:
        appointmentId:
          type: integer
          format: int64
          description: Unique Id ของนัดหมาย
        dateStart:
          type: string
          format: date-time
          description: Filter วันที่เริ่ม
          nullable: true
        dateEnd:
          type: string
          format: date-time
          description: Filter วันสิ้นสุด
          nullable: true
      x-apidog-orders:
        - appointmentId
        - dateStart
        - dateEnd
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ServiceResponseV2OfListAppointmentAvailableSlotsByDate:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusResponse'
        data:
          type: array
          items:
            $ref: '#/components/schemas/AppointmentAvailableSlotsByDate'
          description: Array ของวันที่ และเวลาในแต่ละวันที่ว่าง
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    AppointmentAvailableSlotsByDate:
      type: object
      properties:
        date:
          type: string
          description: Date string (e.g., '2026-02-24')
          nullable: true
        slots:
          type: array
          items:
            $ref: '#/components/schemas/AppointmentAvailableTimeSlots'
          description: slot เวลาที่ว่างทั้งหมดของวัน
          nullable: true
      x-apidog-orders:
        - date
        - slots
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    AppointmentAvailableTimeSlots:
      type: object
      properties:
        start:
          type: string
          description: Slot start time (e.g., '09:00')
          nullable: true
        end:
          type: string
          description: Slot end time (e.g., '10:00')
          nullable: true
      x-apidog-orders:
        - start
        - end
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    StatusResponse:
      type: object
      properties:
        code:
          type: string
          description: >-
            <p>สถานะของ Business Code ถ้า<br>Success = 1000<br>Error 1 ตัว =
            4001<br>Error มากกว่า 1 ตัว = 4002    <br>หรือเป็น Subcode
            ที่ต้องการจะแสดงเพื่อสื่อความหมายของ Error โดย subcode
            จะเป็นตัวเดียวกับ business error code หรือไม่ก็ได้
            เพื่อความสะดวกในการแสดงผล<p>
          examples:
            - '1000'
        description:
          type: string
          description: คำอธิบายข้อความที่จะแสดง
          examples:
            - Success
      x-apidog-orders:
        - code
        - description
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ServiceResponseV2Error:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: string
              examples:
                - '4002'
            description:
              type: string
              examples:
                - Business error with 1 or more errors
          x-apidog-orders:
            - code
            - description
          x-apidog-ignore-properties: []
        data:
          type: object
          properties:
            errors:
              type: array
              items:
                $ref: '#/components/schemas/ErrorResponse'
          x-apidog-orders:
            - errors
          x-apidog-ignore-properties: []
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ErrorResponse:
      type: object
      properties:
        subCode:
          type: string
          description: Error sub-code (e.g., 'E1101', 'E1102')
          examples:
            - E1101
        description:
          type: string
          description: Error description
          examples:
            - Take is required
        metadata:
          type: object
          description: Additional error metadata
          properties: {}
          x-apidog-orders: []
          x-apidog-ignore-properties: []
          nullable: true
      x-apidog-orders:
        - subCode
        - description
        - metadata
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    bearerAuth:
      type: jwt
      scheme: bearer
      bearerFormat: JWT
      description: ใส่ JWT Token ในรูปแบบ Bearer {token}
    bearer:
      type: bearer
      scheme: bearer
servers:
  - url: https://api.gofive.co.th
    description: Production
security:
  - bearerAuth: []
    x-apidog:
      schemeGroups:
        - id: uyL_cJmK7q60QJZRTi5ot
          schemeIds:
            - bearerAuth
      required: true
      use:
        id: uyL_cJmK7q60QJZRTi5ot
      scopes:
        uyL_cJmK7q60QJZRTi5ot:
          bearerAuth: []

```
